Page MenuHomePhabricator

Inaccurate placement for the currency symbol (SEK) in Sweden Thank you letter
Closed, ResolvedPublic1 Story Points

Description

Hi all,

I just made a test donation using the Swedish form and my Swedish card and realized that the SEK currency symbol is misplaced in the Thank you letter.

]

the SL says : "Your kr 10.00 gift = free knowledge for billions" whereas it should say "Your 10.00 kr gift.." The currency symbol goes after the amount. Can we change this?

TY!

Event Timeline

jrobell created this task.Apr 5 2019, 11:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2019, 11:27 AM

Can we just remove the amount from the subject line altogether? I talked
to @MBeat33 and he is okay with it. I'm happy to update the task
description.

Ejegg added a comment.Apr 8 2019, 8:19 PM

Hi @jrobell, the amount formatting seems to choose the placement based on the language. For Swedish language letters, it puts the currency symbol after the amount.

Thank you for the additional info here. I agree with @CCogdill_WMF here that we should just go ahead and remove the amount all together. Can that be done easily @Ejegg?

TY!

Change 502517 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Remove amount from English TY subject

https://gerrit.wikimedia.org/r/502517

Ejegg added a comment.Apr 9 2019, 3:16 PM

OK, ^^^ that patch takes it out.

Ejegg claimed this task.Apr 9 2019, 3:46 PM
Ejegg triaged this task as Normal priority.
Ejegg set the point value for this task to 1.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Greps of Wrath board.

Change 502517 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Remove amount from English TY subject

https://gerrit.wikimedia.org/r/502517

@CCogdill_WMF, @jrobell, this change is deployed. We should have subject lines without the amount from now on.

DStrine closed this task as Resolved.Apr 30 2019, 8:00 PM